---
draft: false
title: "Non-mechanical Tabletop Gaming Fundamentals"
aliases: ["Non-mechanical Tabletop Gaming Fundamentals"]
series: []
date: "2024-04-24"
author: "Nick Dumas"
cover: ""
keywords: ["", ""]
description: "A non-exhaustive list of tips and rules that elevate my tabletop gaming."
showFullContent: false
tags:
- dnd
---

## Introduction  
### What I Assume you Know 
Almost nothing. These tips are not about balancing encounters or homebrew classes. Running tabletop games is first and foremost a *social* experience and that's what I'm going to focus on.
### The Short List
- Stay hydrated.
- Embrace failure.
- Start small.
- Slow is smooth, smooth is fast.
- If you take proper notes, work is never wasted. Only deferred.
    - If you haven't rehearsed your disaster recovery procedure, you do not have a disaster recovery procedure.

## Stay hydrated 
Talking and thinking is thirsty work. Your body **needs** water to function. Do not deprive your body of what it needs to function. 

Consider scheduled breaks for you and your players to:
- make sure they have water 
- to stretch their legs
- to focus their eyes on something other than a screen or a their character sheet for a few minutes

> Making sure the body is cared for can help keep the mind sharp and spirits up.
## Embrace failure 
Failure stings, but it's important to acknowledge the stakes of a tabletop game: effectively none. If you make an unlikeable NPC, it's unlikely that your marriage will fall apart or you'll lose your job. It's important to take these moments and use them to learn something.

> Seek feedback early and often. Receive it *gracefully*. Act on it *promptly*. 
## Start small
The problem here boils down to a relatively universal phenomenon in creative/artisan fields: the gap between capacity and taste. 

As adults, even teenagers, we've been around long enough to have developed a sense of what we think is "good" and what isn't. We know what music we like sounds like, we know what kind of books we like to read. And so we begin a project to create music or a book or a drawing and find ourselves tensioned between the fact that we know what we like and the realization that we have no idea how it's made. This dissonance can be a dealbreaker for a lot of people. 

> Be kind to yourself. Remember that you are learning, and it's okay to do simple things before you do hard things.
## Slow is smooth, smooth is fast 
Thoughtless haste does nobody any good. Sitting in the hotseat can be extremely stressful, being responsible for representing the motives and actions of an entire universe is a lot of pressure. Rushing through your responses will *only make this harder*. 

You *can* tell your players "I need a few minutes to prepare a response" if they surprise you with a question or plan of action. Didn't expect them to wander into a random cave? That's fine, take five minutes to draw a simple floor plan and figure out what's inside. Decided to adopt an NPC? Take five minutes to figure out their motives and connections to the rest of the story if applicable.

> You and your players are on the same team. Don't be afraid to ask them for help or time.
## Notes
Note-taking is a deeply personal thing so I won't be too prescriptive here. I'm just going to list some questions I think you should ask while considering solutions:
- Is there another person who can tell me "you're not allowed to access these anymore"? Are my notes contingent on spending money?
- How hard is it for me to make backups of my notes? To move my notes from one place, tool, service to another?

> If you take proper notes, your work is never wasted, only deferred.
### Backups
Part of the "proper notes" package is proper backups. This article is not technical so I won't get into the weeds. You want your backups to be stored on a different device at different location from the source data.  

> If you have not rehearsed your disaster recovery plan, you do not have a disaster recovery plan.
